Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.jobmanager.config
Interface JobManagerConfigBean

All Superinterfaces
  com.bea.p13n.descriptor.DualScopedDescriptor

    public interface JobManagerConfigBean

extends com.bea.p13n.descriptor.DualScopedDescriptor

Root Element Of Corresponding Descriptor
  JobManagerConfig

Method Summary
`CalendarJobDefinitionBean` | `createCalendarJobDefinition(String name)`
`IntervalJobDefinitionBean` | `createIntervalJobDefinition(String name)`
`StartupJobDefinitionBean` | `createStartupJobDefinition(String name)`
`TimerJobDefinitionBean` | `createTimerJobDefinition(String name)`
`void` | `destroyCalendarJobDefinition(CalendarJobDefinitionBean component)`
`void` | `destroyIntervalJobDefinition(IntervalJobDefinitionBean component)`
`void` | `destroyStartupJobDefinition(StartupJobDefinitionBean component)`
`void` | `destroyTimerJobDefinition(TimerJobDefinitionBean component)`
`CalendarJobDefinitionBean[]` | `getCalendarJobDefinitions()`
`String` | `getDescription()` Description of this bean and/or its use.
`IntervalJobDefinitionBean[]` | `getIntervalJobDefinitions()`
`int` | `getRunInterval()`
`boolean` | `getStartJobManager()`
`StartupJobDefinitionBean[]` | `getStartupJobDefinitions()`
`TimerJobDefinitionBean[]` | `getTimerJobDefinitions()`
`CalendarJobDefinitionBean` | `lookupCalendarJobDefinition(String name)`
`IntervalJobDefinitionBean` | `lookupIntervalJobDefinition(String name)`
`StartupJobDefinitionBean` | `lookupStartupJobDefinition(String name)`
`TimerJobDefinitionBean` | `lookupTimerJobDefinition(String name)`
`void` | `setDescription(String description)`
`void` | `setRunInterval(int interval)`
`void` | `setStartJobManager(boolean start)`

Method Detail

### getDescription

    String getDescription()

  Description of this bean and/or its use. This field is used for optional documentation in the descriptor file

  Descriptor Bean Configurable Attribute
  Descriptor Bean Dynamic Attribute
    true

### setDescription

    void setDescription(String description)

### getStartupJobDefinitions

    StartupJobDefinitionBean[] getStartupJobDefinitions()

  Descriptor Bean Configurable Attribute
  Descriptor Bean Dynamic Attribute
    true

### lookupStartupJobDefinition

    StartupJobDefinitionBean lookupStartupJobDefinition(String name)

### destroyStartupJobDefinition

    void destroyStartupJobDefinition(StartupJobDefinitionBean component)

### createStartupJobDefinition

    StartupJobDefinitionBean createStartupJobDefinition(String name)

### getIntervalJobDefinitions

    IntervalJobDefinitionBean[] getIntervalJobDefinitions()

  Descriptor Bean Configurable Attribute
  Descriptor Bean Dynamic Attribute
    true

### lookupIntervalJobDefinition

    IntervalJobDefinitionBean lookupIntervalJobDefinition(String name)

### destroyIntervalJobDefinition

    void destroyIntervalJobDefinition(IntervalJobDefinitionBean component)

### createIntervalJobDefinition

    IntervalJobDefinitionBean createIntervalJobDefinition(String name)

### getTimerJobDefinitions

    TimerJobDefinitionBean[] getTimerJobDefinitions()

  Descriptor Bean Configurable Attribute
  Descriptor Bean Dynamic Attribute
    true

### lookupTimerJobDefinition

    TimerJobDefinitionBean lookupTimerJobDefinition(String name)

### destroyTimerJobDefinition

    void destroyTimerJobDefinition(TimerJobDefinitionBean component)

### createTimerJobDefinition

    TimerJobDefinitionBean createTimerJobDefinition(String name)

### getCalendarJobDefinitions

    CalendarJobDefinitionBean[] getCalendarJobDefinitions()

  Descriptor Bean Configurable Attribute
  Descriptor Bean Dynamic Attribute
    true

### lookupCalendarJobDefinition

    CalendarJobDefinitionBean lookupCalendarJobDefinition(String name)

### destroyCalendarJobDefinition

    void destroyCalendarJobDefinition(CalendarJobDefinitionBean component)

### createCalendarJobDefinition

    CalendarJobDefinitionBean createCalendarJobDefinition(String name)

### getRunInterval

    int getRunInterval()

  Descriptor Bean Configurable Attribute
  Descriptor Bean Dynamic Attribute
    true

### setRunInterval

    void setRunInterval(int interval)

### getStartJobManager

    boolean getStartJobManager()

  Descriptor Bean Configurable Attribute
  Descriptor Bean Attribute Default Value:
    false

### setStartJobManager

    void setStartJobManager(boolean start)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.